[PC-BSD Commits] r157 - in pcbsd/trunk/system-overlay: etc/rc.d usr/local/share/config/kdm
svn at pcbsd.org
svn at pcbsd.org
Sat Apr 7 09:48:18 PDT 2007
Author: kris
Date: 2007-04-07 17:48:18 +0100 (Sat, 07 Apr 2007)
New Revision: 157
Added:
pcbsd/trunk/system-overlay/usr/local/share/config/kdm/Xaccess
pcbsd/trunk/system-overlay/usr/local/share/config/kdm/Xreset
pcbsd/trunk/system-overlay/usr/local/share/config/kdm/Xsession
pcbsd/trunk/system-overlay/usr/local/share/config/kdm/Xsetup
pcbsd/trunk/system-overlay/usr/local/share/config/kdm/Xstartup
pcbsd/trunk/system-overlay/usr/local/share/config/kdm/Xwilling
Modified:
pcbsd/trunk/system-overlay/etc/rc.d/sshd
pcbsd/trunk/system-overlay/usr/local/share/config/kdm/kdmrc
Log:
More updates to allow KDE to run with new ISOs
Modified: pcbsd/trunk/system-overlay/etc/rc.d/sshd
===================================================================
--- pcbsd/trunk/system-overlay/etc/rc.d/sshd 2007-04-07 00:42:28 UTC (rev 156)
+++ pcbsd/trunk/system-overlay/etc/rc.d/sshd 2007-04-07 16:48:18 UTC (rev 157)
@@ -1,92 +1,94 @@
-#!/bin/sh
-#
-# $NetBSD: sshd,v 1.18 2002/04/29 08:23:34 lukem Exp $
-# $FreeBSD: src/etc/rc.d/sshd,v 1.8.2.1 2005/12/16 01:42:54 dougb Exp $
-#
-
-# PROVIDE: sshd
-# REQUIRE: LOGIN cleanvar
-
-. /etc/rc.subr
-
-name="sshd"
-rcvar=`set_rcvar`
-command="/usr/sbin/${name}"
-keygen_cmd="sshd_keygen"
-start_precmd="sshd_precmd"
-pidfile="/var/run/${name}.pid"
-extra_commands="keygen reload"
-
-timeout=300
-
-user_reseed()
-{
- (
- seeded=`sysctl -n kern.random.sys.seeded 2>/dev/null`
- if [ "${seeded}" != "" ] ; then
- #warn "Setting entropy source to blocking mode."
- #echo "===================================================="
- #echo "Type a full screenful of random junk to unblock"
- #echo "it and remember to finish with <enter>. This will"
- #echo "timeout in ${timeout} seconds, but waiting for"
- #echo "the timeout without typing junk may make the"
- #echo "entropy source deliver predictable output."
- #echo ""
- #echo "Just hit <enter> for fast+insecure startup."
- #echo "===================================================="
- #sysctl kern.random.sys.seeded=0 2>/dev/null
- #read -t ${timeout} junk
- echo "${junk}" `sysctl -a` `date` > /dev/random
- fi
- )
-}
-
-sshd_keygen()
-{
- (
- umask 022
- # Can't do anything if ssh is not installed
- [ -x /usr/bin/ssh-keygen ] || {
- warn "/usr/bin/ssh-keygen does not exist."
- return 1
- }
-
- if [ -f /etc/ssh/ssh_host_key ]; then
- echo "You already have an RSA host key" \
- "in /etc/ssh/ssh_host_key"
- echo "Skipping protocol version 1 RSA Key Generation"
- else
- /usr/bin/ssh-keygen -t rsa1 -b 1024 \
- -f /etc/ssh/ssh_host_key -N ''
- fi
-
- if [ -f /etc/ssh/ssh_host_dsa_key ]; then
- echo "You already have a DSA host key" \
- "in /etc/ssh/ssh_host_dsa_key"
- echo "Skipping protocol version 2 DSA Key Generation"
- else
- /usr/bin/ssh-keygen -t dsa -f /etc/ssh/ssh_host_dsa_key -N ''
- fi
-
- if [ -f /etc/ssh/ssh_host_rsa_key ]; then
- echo "You already have a RSA host key" \
- "in /etc/ssh/ssh_host_rsa_key"
- echo "Skipping protocol version 2 RSA Key Generation"
- else
- /usr/bin/ssh-keygen -t rsa -f /etc/ssh/ssh_host_rsa_key -N ''
- fi
- )
-}
-
-sshd_precmd()
-{
- if [ ! -f /etc/ssh/ssh_host_key -o \
- ! -f /etc/ssh/ssh_host_dsa_key -o \
- ! -f /etc/ssh/ssh_host_rsa_key ]; then
- user_reseed
- run_rc_command keygen
- fi
-}
-
-load_rc_config $name
-run_rc_command "$1"
+#!/bin/sh
+#
+# $NetBSD: sshd,v 1.18 2002/04/29 08:23:34 lukem Exp $
+# $FreeBSD: src/etc/rc.d/sshd,v 1.8.2.4 2006/06/09 10:14:39 flz Exp $
+#
+
+# PROVIDE: sshd
+# REQUIRE: LOGIN cleanvar
+
+. /etc/rc.subr
+
+name="sshd"
+rcvar=`set_rcvar`
+command="/usr/sbin/${name}"
+keygen_cmd="sshd_keygen"
+start_precmd="sshd_precmd"
+pidfile="/var/run/${name}.pid"
+extra_commands="keygen reload"
+
+timeout=300
+
+user_reseed()
+{
+ (
+ seeded=`sysctl -n kern.random.sys.seeded 2>/dev/null`
+ if [ "x${seeded}" != "x" ] && [ ${seeded} -eq 0 ] ; then
+ #warn "Setting entropy source to blocking mode."
+ #echo "===================================================="
+ #echo "Type a full screenful of random junk to unblock"
+ #echo "it and remember to finish with <enter>. This will"
+ #echo "timeout in ${timeout} seconds, but waiting for"
+ #echo "the timeout without typing junk may make the"
+ #echo "entropy source deliver predictable output."
+ #echo ""
+ #echo "Just hit <enter> for fast+insecure startup."
+ #echo "===================================================="
+ #sysctl kern.random.sys.seeded=0 2>/dev/null
+ #read -t ${timeout} junk
+ junk="`dmesg | tail -30`"
+ echo "${junk}" `sysctl -a` `date` > /dev/random
+ fi
+ )
+}
+
+sshd_keygen()
+{
+ (
+ umask 022
+
+ # Can't do anything if ssh is not installed
+ [ -x /usr/bin/ssh-keygen ] || {
+ warn "/usr/bin/ssh-keygen does not exist."
+ return 1
+ }
+
+ if [ -f /etc/ssh/ssh_host_key ]; then
+ echo "You already have an RSA host key" \
+ "in /etc/ssh/ssh_host_key"
+ echo "Skipping protocol version 1 RSA Key Generation"
+ else
+ /usr/bin/ssh-keygen -t rsa1 -b 1024 \
+ -f /etc/ssh/ssh_host_key -N ''
+ fi
+
+ if [ -f /etc/ssh/ssh_host_dsa_key ]; then
+ echo "You already have a DSA host key" \
+ "in /etc/ssh/ssh_host_dsa_key"
+ echo "Skipping protocol version 2 DSA Key Generation"
+ else
+ /usr/bin/ssh-keygen -t dsa -f /etc/ssh/ssh_host_dsa_key -N ''
+ fi
+
+ if [ -f /etc/ssh/ssh_host_rsa_key ]; then
+ echo "You already have a RSA host key" \
+ "in /etc/ssh/ssh_host_rsa_key"
+ echo "Skipping protocol version 2 RSA Key Generation"
+ else
+ /usr/bin/ssh-keygen -t rsa -f /etc/ssh/ssh_host_rsa_key -N ''
+ fi
+ )
+}
+
+sshd_precmd()
+{
+ if [ ! -f /etc/ssh/ssh_host_key -o \
+ ! -f /etc/ssh/ssh_host_dsa_key -o \
+ ! -f /etc/ssh/ssh_host_rsa_key ]; then
+ user_reseed
+ run_rc_command keygen
+ fi
+}
+
+load_rc_config $name
+run_rc_command "$1"
Added: pcbsd/trunk/system-overlay/usr/local/share/config/kdm/Xaccess
Added: pcbsd/trunk/system-overlay/usr/local/share/config/kdm/Xreset
Property changes on: pcbsd/trunk/system-overlay/usr/local/share/config/kdm/Xreset
___________________________________________________________________
Name: svn:executable
+ *
Added: pcbsd/trunk/system-overlay/usr/local/share/config/kdm/Xsession
Property changes on: pcbsd/trunk/system-overlay/usr/local/share/config/kdm/Xsession
___________________________________________________________________
Name: svn:executable
+ *
Added: pcbsd/trunk/system-overlay/usr/local/share/config/kdm/Xsetup
Property changes on: pcbsd/trunk/system-overlay/usr/local/share/config/kdm/Xsetup
___________________________________________________________________
Name: svn:executable
+ *
Added: pcbsd/trunk/system-overlay/usr/local/share/config/kdm/Xstartup
Property changes on: pcbsd/trunk/system-overlay/usr/local/share/config/kdm/Xstartup
___________________________________________________________________
Name: svn:executable
+ *
Added: pcbsd/trunk/system-overlay/usr/local/share/config/kdm/Xwilling
Property changes on: pcbsd/trunk/system-overlay/usr/local/share/config/kdm/Xwilling
___________________________________________________________________
Name: svn:executable
+ *
Modified: pcbsd/trunk/system-overlay/usr/local/share/config/kdm/kdmrc
===================================================================
--- pcbsd/trunk/system-overlay/usr/local/share/config/kdm/kdmrc 2007-04-07 00:42:28 UTC (rev 156)
+++ pcbsd/trunk/system-overlay/usr/local/share/config/kdm/kdmrc 2007-04-07 16:48:18 UTC (rev 157)
@@ -57,10 +57,10 @@
StaticServers=:0
# List of on-demand displays. See StaticServers for syntax.
# Default is ""
-ReserveServers=
+ReserveServers=:1,:2,:3
# Where KDM should store its PID (do not store if empty).
# Default is ""
-PidFile=/var/run/xdm.pid
+PidFile=/var/run/kdm.pid
# Whether KDM should lock the PID file to prevent having multiple KDM
# instances running at once. Do not change unless you are brave.
# Default is true
@@ -141,10 +141,10 @@
[Shutdown]
# The command (subject to word splitting) to run to halt the system.
# Default is "/sbin/shutdown -p now"
-#HaltCmd=
+HaltCmd=/sbin/shutdown -p now
# The command (subject to word splitting) to run to reboot the system.
# Default is "/sbin/shutdown -r now"
-#RebootCmd=
+RebootCmd=/sbin/reboot
# Whether it is allowed to shut down the system via the global command FiFo.
# Default is false
#AllowFifo=true
@@ -201,7 +201,7 @@
# The KDE frontend does not use this file, so you do not need it unless you
# use another background generator than krootimage.
# Default is ""
-Resources=/usr/local/share/config/kdm/Xresources
+#Resources=
# The xrdb program to use to read the above specified recources.
# Subject to word splitting.
# Default is "/usr/X11R6/bin/xrdb"
@@ -241,7 +241,7 @@
# Note that enabling this makes circumventing screen lockers other than
# KDE's built-in one possible!
# Default is false
-#AutoReLogin=true
+AutoReLogin=false
# Allow root logins?
# Default is true
AllowRootLogin=false
@@ -283,32 +283,29 @@
# Whether KDM's built-in utmp/wtmp/lastlog registration should be used.
# Default is true
#UseSessReg=false
-# Create X-authorizations for local displays.
-# Default is true
-Authorize=true
# Greeter config for all displays
[X-*-Greeter]
# Widget style of the greeter. "" means the built-in default which currently
# is "Plastik".
# Default is ""
-#GUIStyle=Windows
+GUIStyle=Lipstik
# Widget color scheme of the greeter. "" means the built-in default which
# currently is yellowish grey with some light blue and yellow elements.
# Default is ""
-#ColorScheme=Plastik
+ColorScheme=lipstikstandard
# What should be shown in the greeter's logo are:
# "None" - nothing
# "Logo" - the image specified by LogoPixmap
# "Clock" - a neat analog clock
# Default is Clock
-LogoArea=Logo
+LogoArea=None
# The image to show when LogoArea=Logo.
# Default is ""
-LogoPixmap=/usr/local/share/apps/kdm/pics/kdelogo.png
+LogoPixmap=
# The relative coordinates (X,Y in percent) of the center of the greeter.
# Default is "50,50"
-#GreeterPos=30,40
+GreeterPos=50,50
# The screen the greeter should be displayed on in multi-headed and Xinerama
# setups. The numbering starts with 0. For Xinerama, it corresponds to the
# listing order in the active ServerLayout section of XF86Config; -1 means
@@ -324,19 +321,19 @@
# - %m -> the machine (hardware) type
# - %% -> a single %
# Default is "Welcome to %s at %n"
-#GreetString=K Desktop Environment (%n)
+GreetString=
# Whether the fonts used in the greeter should be antialiased.
# Default is false
-#AntiAliasing=true
+AntiAliasing=true
# The font for the greeter headline.
# Default is "Serif,20,bold"
-#GreetFont=Serif,20,5,0,50,0
+GreetFont=Sans Serif,24,-1,5,50,0,0,0,0,0
# The normal font used in the greeter.
# Default is "Sans Serif,10"
-#StdFont=Sans Serif,10,5,0,50,0
+StdFont=Sans Serif,12,-1,5,50,0,0,0,0,0
# The font used for the "Login Failed" message.
# Default is "Sans Serif,10,bold"
-#FailFont=Sans Serif,10,5,0,75,0
+FailFont=Sans Serif,12,-1,5,75,0,0,0,0,0
# What to do with the Num Lock modifier for the time the greeter is running:
# "Off" - turn off
# "On" - turn on
@@ -345,24 +342,24 @@
#NumLock=Off
# Language and locale to use in the greeter, encoded like $LC_LANG.
# Default is "en_US"
-#Language=de_DE
+Language=en_US
# Enable autocompletion in the username line edit.
# Default is false
-#UserCompletion=true
+UserCompletion=false
# Enable user list (names along with images) in the greeter.
# Default is true
-#UserList=false
+UserList=true
# User selection for UserCompletion and UserList:
# "NotHidden" - all users except those listed in HiddenUsers
# "Selected" - only the users listed in SelectedUsers
# Default is NotHidden
-#ShowUsers=Selected
+ShowUsers=NotHidden
# For ShowUsers=Selected. @<group> means all users in that group.
# Default is ""
-#SelectedUsers=root,johndoe
+SelectedUsers=
# For ShowUsers=NotHidden. @<group> means all users in that group.
# Default is ""
-#HiddenUsers=root
+HiddenUsers=
# Special case of HiddenUsers: users with a non-zero UID less than this number
# will not be shown as well.
# Default is 0
@@ -374,14 +371,14 @@
# If false, the users are listed in the order they appear in /etc/passwd.
# If true, they are sorted alphabetically.
# Default is true
-#SortUsers=false
+SortUsers=true
# Specify, where the users' pictures should be taken from.
# "AdminOnly" - from <FaceDir>/$USER.face[.icon]
# "PreferAdmin" - prefer <FaceDir>, fallback on $HOME
# "PreferUser" - ... and the other way round
# "UserOnly" - from the user's $HOME/.face[.icon]
# Default is AdminOnly
-#FaceSource=PreferUser
+FaceSource=PreferAdmin
# The directory containing the user images if FaceSource is not UserOnly.
# Default is "/usr/local/share/apps/kdm/faces"
#FaceDir=/usr/share/faces
@@ -400,14 +397,14 @@
# "ThreeStars" - <literal>***</literal> is shown for every typed letter
# "NoEcho" - nothing is shown at all, the cursor does not move
# Default is OneStar
-#EchoMode=NoEcho
+EchoMode=OneStar
# If true, krootimage will be automatically started by KDM; otherwise, the
# Setup script should be used to setup the background.
# Default is true
-#UseBackground=false
+UseBackground=true
# The configuration file to be used by krootimage.
# Default is "/usr/local/share/config/kdm/backgroundrc"
-#BackgroundCfg=
+BackgroundCfg=/usr/local/share/config/kdm/backgroundrc
# Hold the X-server grabbed the whole time the greeter is visible. This
# may be more secure, but it will disable any background and other
# X-clients started from the Setup script.
@@ -419,11 +416,11 @@
# Warn, if display has no X-authorization (local auth cannot be created,
# XDMCP display wants no auth, or display is foreign from StaticServers).
# Default is true
-AuthComplain=true
+#AuthComplain=false
# Random seed for forging saved session types, etc. of unknown users.
# This value should be random but constant across the login domain.
# Default is 0
-ForgingSeed=1175906847
+ForgingSeed=1113045471
# Specify conversation plugins for the login dialog. Each plugin can be
# specified as a base name (which expands to $kde_modulesdir/kgreet_$base)
# or as a full pathname.
@@ -469,7 +466,7 @@
# Additional arguments for the X-servers for local sessions.
# This string is subject to word splitting.
# Default is ""
-ServerArgsLocal=
+ServerArgsLocal=-nolisten tcp
# Additional arguments for the X-servers for remote sessions.
# This string is subject to word splitting.
# Default is ""
@@ -484,7 +481,8 @@
# The signal needed to terminate the local X-server.
# Default is 15 (SIGTERM)
#TermSignal=15
-# See above
+# Create X-authorizations for local displays.
+# Default is true
#Authorize=false
# Which X-authorization mechanisms should be used.
# Default is "MIT-MAGIC-COOKIE-1"
@@ -498,16 +496,16 @@
AllowShutdown=All
# Enable password-less logins on this display. USE WITH EXTREME CARE!
# Default is false
-#NoPassEnable=true
+NoPassEnable=true
# The users that do not need to provide a password to log in. NEVER list root!
# "*" means all non-root users. @<group> means all users in that group.
# Default is ""
-#NoPassUsers=fred,ethel
+NoPassUsers=
# Greeter config for local displays
[X-:*-Greeter]
# See above
-PreselectUser=Previous
+PreselectUser=None
# See above
FocusPasswd=true
# Specify whether the greeter of local displays should start up in host chooser
@@ -526,6 +524,9 @@
# Show the "Restart X Server"/"Close Connection" action in the greeter.
# Default is true
AllowClose=false
+# The user to preselect if PreselectUser=Default.
+# Default is ""
+DefaultUser=
# Core config for 1st local display
[X-:0-Core]
@@ -561,6 +562,5 @@
[X-:0-Greeter]
# See above
#PreselectUser=Default
-# The user to preselect if PreselectUser=Default.
-# Default is ""
+# See above
#DefaultUser=johndoe
More information about the Commits
mailing list